Bug 1098778 - Review Request: perl-Redis - Perl binding for Redis database
Summary: Review Request: perl-Redis - Perl binding for Redis database
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1084945
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-18 12:54 UTC by David Dick
Modified: 2014-07-30 21:55 UTC (History)
4 users (show)

Fixed In Version: perl-Redis-1.974-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-27 21:50:49 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-05-18 12:54:04 UTC
Spec URL: http://ddick.fedorapeople.org/packages/perl-Redis.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-Redis-1.974-1.fc20.src.rpm
Description: Perl binding for Redis database
Fedora Account System Username: ddick

Comment 2 Petr Šabata 2014-06-13 13:48:49 UTC
It looks pretty good, however!

I don't see `utf8' used anywhere but in the POD of your patch.  I'd say you can drop that BR entirely.

Also, I think Time::HiRes is pulled in by the documentation (which shouldn't be happening and may change in the near future) rather than the actual code.  I think it'd be safer if you required it explicitly.

Consider doing those changes before pushing.  I'm approving the package now.

Comment 3 David Dick 2014-06-14 00:21:24 UTC
Happy to make both those changes Petr.  I've re-built and pushed it out again.

Thanks again!

New Package SCM Request
=======================
Package Name: perl-Redis
Short Description: Perl binding for Redis database
Upstream URL: http://search.cpan.org/dist/Redis/
Owners: ddick
Branches: f20 el6 epel7
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2014-06-18 16:12:31 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-06-19 08:30:58 UTC
perl-Redis-1.974-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Redis-1.974-1.fc20

Comment 6 Fedora Update System 2014-06-19 23:00:27 UTC
perl-Redis-1.974-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Fedora Update System 2014-06-20 07:35:48 UTC
perl-Redis-1.974-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Redis-1.974-1.el6

Comment 8 Fedora Update System 2014-06-27 21:50:49 UTC
perl-Redis-1.974-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 David Dick 2014-06-29 07:04:02 UTC
Package Change Request
======================
Package Name: perl-Redis
New Branches: f19
Owners: ddick
InitialCC: perl-sig

Comment 10 Gwyn Ciesla 2014-06-30 12:18:49 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-07-05 09:34:36 UTC
perl-Redis-1.974-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2014-07-21 21:42:37 UTC
perl-Redis-1.974-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Redis-1.974-1.fc19

Comment 13 Fedora Update System 2014-07-30 21:55:42 UTC
perl-Redis-1.974-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.